Bug 1031771 - Never ending "loading" message and GIF in Monitoring > Metrics tab
Never ending "loading" message and GIF in Monitoring > Metrics tab
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: RHQ 4.10
Assigned To: Thomas Segismont
Mike Foley
Depends On:
Blocks: 1032687
  Show dependency treegraph
Reported: 2013-11-18 12:51 EST by Thomas Segismont
Modified: 2014-04-23 08:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1032687 (view as bug list)
Last Closed: 2014-04-23 08:29:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Segismont 2013-11-18 12:51:55 EST
Description of problem:
The Monitoring > Metrics tab of resources which define no metrics shows a never ending "loading" message and GIF.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Thomas Segismont 2013-11-18 12:56:31 EST
> Version-Release number of selected component (if applicable):

Comment 2 Thomas Segismont 2013-11-19 08:52:17 EST
Fixed in master

commit 53fe3bfffdb6fe31ddf2a4a33218cca19e4c6a5f
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Tue Nov 19 14:49:22 2013 +0100

The MetricsViewDataSource uses a CountDownLatch when searching for data to display. When a resource had no metric definition, the
latch was not updated.

As an aside, it's not necessary to search for Calltime and Trait live values, they are displayed on dedicated screens.
Comment 3 Mike Thompson 2013-11-19 12:09:25 EST
I have reviewed the fix as well. The countdown latch failure condition was a definite oversight. I have never seen the measurementDefinition.getDataType() == COMPLEX' type before in any of the existing code.
Comment 4 Heiko W. Rupp 2014-04-23 08:29:57 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.